Folder
A standard representation of a folder, as returned from any folder API endpoints by default.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123. |
etag | string | No | The HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null. |
type | enum<string> | Yes | The value will always be folder. Available options: folder. |
sequence_id | string | No | A numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null. |
name | string | No | The name of the folder. |
created_at | string | No | The date and time when the folder was created. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
modified_at | string | No | The date and time when the folder was last updated. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
description | string | No | The optional description of this folder. |
size | integer | No | The folder size in bytes. Be careful parsing this integer as its value can get very large. |
path_collection | object | No | A list of parent folders for an item. |
created_by | User (Mini) | No | The user who created this folder. |
modified_by | User (Mini) | No | The user who last modified this folder. |
trashed_at | string | No | The time at which this folder was put in the trash. Can be null. |
purged_at | string | No | The time at which this folder is expected to be purged from the trash. Can be null. |
content_created_at | string | No | The date and time at which this folder was originally created. Can be null. |
content_modified_at | string | No | The date and time at which this folder was last updated. Can be null. |
owned_by | User (Mini) | No | The user who owns this folder. |
shared_link | object | No | Shared links provide direct, read-only access to files or folder on Box. Shared links with open access level allow anyone with the URL to access the item, while shared links with company or collaborators access levels can only be accessed by appropriately authenticated Box users. Can be null. |
folder_upload_email | object | No | The folder_upload_email parameter is not null if one of the following options is true: - The Allow uploads to this folder via email and the Only allow email uploads from collaborators in this folder are enabled for a folder in the Admin Console, and the user has at least Upload permissions granted. - The Allow uploads to this folder via email setting is enabled for a folder in the Admin Console, and the Only allow email uploads from collaborators in this folder setting is deactivated (unchecked). If the conditions are not met, the parameter will have the following value: folder_upload_email: null. Can be null. |
parent | Folder (Mini) | No | The optional folder that this folder is located within. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
item_status | enum<string> | No | Defines if this item has been deleted or not. - active when the item has is not in the trash - trashed when the item has been moved to the trash but not deleted - deleted when the item has been permanently deleted. Available options: active, trashed, deleted. |
item_collection | Items | No | A page of the items that are in the folder. This field can only be requested when querying a folder’s information, not when querying a folder’s items. |
Example
Folder (Base)
The bare basic representation of a folder, the minimal amount of fields returned when using thefields query parameter.
Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123. |
etag | string | No | The HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null. |
type | enum<string> | Yes | The value will always be folder. Available options: folder. |
Example
Folder (Full)
A full representation of a folder, as can be returned from any folder API endpoints by default.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123. |
etag | string | No | The HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null. |
type | enum<string> | Yes | The value will always be folder. Available options: folder. |
sequence_id | string | No | A numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null. |
name | string | No | The name of the folder. |
created_at | string | No | The date and time when the folder was created. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
modified_at | string | No | The date and time when the folder was last updated. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
description | string | No | The optional description of this folder. |
size | integer | No | The folder size in bytes. Be careful parsing this integer as its value can get very large. |
path_collection | object | No | A list of parent folders for an item. |
created_by | User (Mini) | No | The user who created this folder. |
modified_by | User (Mini) | No | The user who last modified this folder. |
trashed_at | string | No | The time at which this folder was put in the trash. Can be null. |
purged_at | string | No | The time at which this folder is expected to be purged from the trash. Can be null. |
content_created_at | string | No | The date and time at which this folder was originally created. Can be null. |
content_modified_at | string | No | The date and time at which this folder was last updated. Can be null. |
owned_by | User (Mini) | No | The user who owns this folder. |
shared_link | object | No | Shared links provide direct, read-only access to files or folder on Box. Shared links with open access level allow anyone with the URL to access the item, while shared links with company or collaborators access levels can only be accessed by appropriately authenticated Box users. Can be null. |
folder_upload_email | object | No | The folder_upload_email parameter is not null if one of the following options is true: - The Allow uploads to this folder via email and the Only allow email uploads from collaborators in this folder are enabled for a folder in the Admin Console, and the user has at least Upload permissions granted. - The Allow uploads to this folder via email setting is enabled for a folder in the Admin Console, and the Only allow email uploads from collaborators in this folder setting is deactivated (unchecked). If the conditions are not met, the parameter will have the following value: folder_upload_email: null. Can be null. |
parent | Folder (Mini) | No | The optional folder that this folder is located within. This value may be null for some folders such as the root folder or the trash folder. Can be null. |
item_status | enum<string> | No | Defines if this item has been deleted or not. - active when the item has is not in the trash - trashed when the item has been moved to the trash but not deleted - deleted when the item has been permanently deleted. Available options: active, trashed, deleted. |
item_collection | Items | No | A page of the items that are in the folder. This field can only be requested when querying a folder’s information, not when querying a folder’s items. |
sync_state | enum<string> | No | Specifies whether a folder should be synced to a user’s device or not. This is used by Box Sync (discontinued) and is not used by Box Drive. Available options: synced, not_synced, partially_synced. |
has_collaborations | boolean | No | Specifies if this folder has any other collaborators. |
permissions | object | No | The permissions that the authenticated user has for a folder. |
tags | array of string | No | The tags for this item. These tags are shown in the Box web app and mobile apps next to an item. To add or remove a tag, retrieve the item’s current tags, modify them, and then update this field. There is a limit of 100 tags per item, and 10,000 unique tags per enterprise. |
can_non_owners_invite | boolean | No | Specifies if users who are not the owner of the folder can invite new collaborators to the folder. |
is_externally_owned | boolean | No | Specifies if this folder is owned by a user outside of the authenticated enterprise. |
metadata | object | No | A list of metadata instances, nested within key-value pairs of their scope and templateKey. To access the metadata for a file or folder, first use the metadata endpoints to determine the metadata templates available to your enterprise. Then use the GET /files/:id or GET /folder/:id endpoint with the fields query parameter to get the metadata by ID. To request a metadata instance for a particular scope and templateKey use the following format for the fields parameter: metadata.<scope>.<templateKey> For example, ?fields=metadata.enterprise_27335.marketingCollateral. |
is_collaboration_restricted_to_enterprise | boolean | No | Specifies if new invites to this folder are restricted to users within the enterprise. This does not affect existing collaborations. |
allowed_shared_link_access_levels | array of enum<string> | No | A list of access levels that are available for this folder. For some folders, like the root folder, this will always be an empty list as sharing is not allowed at that level. |
allowed_invitee_roles | array of enum<string> | No | A list of the types of roles that user can be invited at when sharing this folder. |
watermark_info | object | No | Details about the watermark applied to this item. |
is_accessible_via_shared_link | boolean | No | Specifies if the folder can be accessed with the direct shared link or a shared link to a parent folder. |
can_non_owners_view_collaborators | boolean | No | Specifies if collaborators who are not owners of this folder are restricted from viewing other collaborations on this folder. It also restricts non-owners from inviting new collaborators. |
classification | object | No | The classification applied to an item. Can be null. |
is_associated_with_app_item | boolean | No | This field will return true if the folder or any ancestor of the folder is associated with at least one app item. Note that this will return true even if the context user does not have access to the app item(s) associated with the folder. |
Example
Folder (Mini)
A mini representation of a file version, used when nested under another resource.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a folder. The ID for any folder can be determined by visiting a folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folders/123 the folder_id is 123. |
etag | string | No | The HTTP etag of this folder. This can be used within some API endpoints in the If-Match and If-None-Match headers to only perform changes on the folder if (no) changes have happened. Can be null. |
type | enum<string> | Yes | The value will always be folder. Available options: folder. |
sequence_id | string | No | A numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource. Can be null. |
name | string | No | The name of the folder. |
Example
Items
A list of files, folders, and web links in their mini representation.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
prev_marker | string | No | The marker for the start of the previous page of results. Can be null. |
total_count | integer | No | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
offset | integer | No | The 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
order | array of object | No | The order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
entries | array of Item | No | The items in this collection. |
Example
Items
A list of files, folders, and web links in their mini representation.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
total_count | integer | No | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
offset | integer | No | The 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
order | array of object | No | The order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
entries | array of Item | No | The items in this collection. |
Example
